Subject: bug#56683: 29.0.50; long lines fix doesn't work correctly when lines are truncated

From: Andrey Listopadov <[email-masked]>
Date: Thu, 21 Jul 2022 23:31:35 +0300

Gregory Heytings <[email-masked]> writes:

> You would have seen the same bug before the merge, so it's entirely
> unrelated to the merge.  It is present at least in Emacs 24, 25, 26,
> 27 and 28.

Oh, well.  Then it seems that I've simply never noticed this before,
perhaps because Emacs couldn't handle such long lines.  Feel free to
close this then, if this is intended/known.

> They do work with truncated lines, but I suspect that truncated lines
> require specific fixes to work efficiently.

Thanks!  I've asked because It's important to me that Emacs is
responsive if I open a log file with really long lines. Truncated lines
make such logs much easier to read, as I can compare lines above and
below the very long one, without scrolling.

--
Andrey Listopadov